com.orsoncharts

## Class TitleUtils

- java.lang.Object
- - com.orsoncharts.TitleUtils

-     public class TitleUtils
      extends java.lang.Object

  Some utility methods for creating chart titles.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Font` | `DEFAULT_SUBTITLE_FONT` The default sub-title font.
    `static java.awt.Color` | `DEFAULT_TITLE_COLOR` The default foreground color for titles.
    `static java.awt.Font` | `DEFAULT_TITLE_FONT` The default title font.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableElement` | `createTitle(java.lang.String title)` Creates a chart title using the default font and alignment.
    `static TableElement` | `createTitle(java.lang.String title, java.awt.Font titleFont, java.lang.String subtitle, java.awt.Font subtitleFont, HAlign alignment)` Creates a chart title and subtitle using the specified fonts and alignment.
    `static TableElement` | `createTitle(java.lang.String title, java.lang.String subtitle)` Creates a chart title and subtitle using default fonts and left alignment.
    `static TableElement` | `createTitle(java.lang.String title, java.lang.String subtitle, Anchor2D anchor)` Creates a chart title and subtitle (optional) using default fonts and alignment that is standard for the specified anchor point (that is, left alignment when the title is anchored left, center alignment when the title is anchored centrally, and right alignment when the title is anchored to the right).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TITLE_FONT

          public static final java.awt.Font DEFAULT_TITLE_FONT

      The default title font.

    - #### DEFAULT_TITLE_COLOR

          public static final java.awt.Color DEFAULT_TITLE_COLOR

      The default foreground color for titles.

    - #### DEFAULT_SUBTITLE_FONT

          public static final java.awt.Font DEFAULT_SUBTITLE_FONT

      The default sub-title font.

  - ### Method Detail

    - #### createTitle

          public static TableElement createTitle(java.lang.String title)

      Creates a chart title using the default font and alignment.
      Parameters:
        `title` - the chart title (`null` not permitted).
      Returns:
        The chart title.

    - #### createTitle

          public static TableElement createTitle(java.lang.String title,
                                                 java.lang.String subtitle)

      Creates a chart title and subtitle using default fonts and left alignment. The `subtitle` is optional.
      Parameters:
        `title` - the title text (`null` not permitted).
        `subtitle` - the subtitle text (`null` permitted).
      Returns:
        A composite title.

    - #### createTitle

          public static TableElement createTitle(java.lang.String title,
                                                 java.lang.String subtitle,
                                                 Anchor2D anchor)

      Creates a chart title and subtitle (optional) using default fonts and alignment that is standard for the specified anchor point (that is, left alignment when the title is anchored left, center alignment when the title is anchored centrally, and right alignment when the title is anchored to the right).
      Parameters:
        `title` - the title text (`null` not permitted).
        `subtitle` - the subtitle text (`null` permitted).
        `anchor` - the anchor point (`null` not permitted).
      Returns:
        A composite title.

    - #### createTitle

          public static TableElement createTitle(java.lang.String title,
                                                 java.awt.Font titleFont,
                                                 java.lang.String subtitle,
                                                 java.awt.Font subtitleFont,
                                                 HAlign alignment)

      Creates a chart title and subtitle using the specified fonts and alignment.
      Parameters:
        `title` - the title text (`null` not permitted).
        `titleFont` - the title font (`null` not permitted).
        `subtitle` - the subtitle text (`null` permitted).
        `subtitleFont` - the subtitle font (`null` permitted).
        `alignment` - the horizontal alignment (`null` not permitted).
      Returns:
        A chart title (never `null`).